Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Interface IParticleI

All Known Implementing Classes:
  IBoid, IParticle, IParticleAgent, IParticleOnCurve

    public interface IParticleI

Class of an implementation of IDynamicObject to have physical attributes of point. It has attributes of position, velocity, acceleration, force, and mass. Position is provided from outside to be linked.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Method Summary
`IVec` | `acc()` get acceleration.
`IVec` | `acceleration()` get acceleration.
`IParticleI` | `addForce(double fx, double fy, double fz)` alias of push
`IParticleI` | `addForce(IVecI f)` alias of push
`double` | `decay()`
`IParticleI` | `decay(double d)`
`IVec` | `force()` get force
`IParticleI` | `force(IVecI v)` set force
`IVec` | `frc()` get force
`IParticleI` | `frc(IVecI v)` set force
`double` | `fric()` get friction
`IParticleI` | `fric(double f)` set friction
`double` | `friction()` get friction
`IParticleI` | `friction(double f)` set friction
`double` | `mass()` get mass
`IParticleI` | `mass(double m)` set mass
`IVec` | `pos()` get position
`IParticleI` | `pos(IVecI v)` set position
`IVec` | `position()` get position
`IParticleI` | `position(IVecI v)` set position
`IParticleI` | `pull(double fx, double fy, double fz)` equivalent to push(f.dup().neg())
`IParticleI` | `pull(IVecI f)` equivalent to push(f.dup().neg())
`IParticleI` | `push(double fx, double fy, double fz)` adding force to particle
`IParticleI` | `push(IVecI f)` adding force to particle
`IParticleI` | `reset()` setting force zero
`IParticleI` | `resetForce()` alias of reset
`IVec` | `vel()` get velocity
`IParticleI` | `vel(IVecI v)` set velocity
`IVec` | `velocity()` get velocity
`IParticleI` | `velocity(IVecI v)` set velocity

Method Detail

### mass

    double mass()

  get mass

### mass

    IParticleI mass(double m)

  set mass

### position

    IVec position()

  get position

### pos

    IVec pos()

  get position

### position

    IParticleI position(IVecI v)

  set position

### pos

    IParticleI pos(IVecI v)

  set position

### velocity

    IVec velocity()

  get velocity

### vel

    IVec vel()

  get velocity

### velocity

    IParticleI velocity(IVecI v)

  set velocity

### vel

    IParticleI vel(IVecI v)

  set velocity

### acceleration

    IVec acceleration()

  get acceleration. no method to set acceleration. set force instead

### acc

    IVec acc()

  get acceleration. no method to set acceleration. set force instead

### force

    IVec force()

  get force

### frc

    IVec frc()

  get force

### force

    IParticleI force(IVecI v)

  set force

### frc

    IParticleI frc(IVecI v)

  set force

### friction

    double friction()

  get friction

### fric

    double fric()

  get friction

### friction

    IParticleI friction(double f)

  set friction

### fric

    IParticleI fric(double f)

  set friction

### decay

    double decay()

### decay

    IParticleI decay(double d)

### push

    IParticleI push(IVecI f)

  adding force to particle

### push

    IParticleI push(double fx,
                    double fy,
                    double fz)

  adding force to particle

### pull

    IParticleI pull(IVecI f)

  equivalent to push(f.dup().neg())

### pull

    IParticleI pull(double fx,
                    double fy,
                    double fz)

  equivalent to push(f.dup().neg())

### addForce

    IParticleI addForce(IVecI f)

  alias of push

### addForce

    IParticleI addForce(double fx,
                        double fy,
                        double fz)

  alias of push

### reset

    IParticleI reset()

  setting force zero

### resetForce

    IParticleI resetForce()

  alias of reset

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD